## netcdf-cxx 4.3.0+ds

=== cxx4/CMakeLists.txt ===
## This is a CMake file, part of Unidata's netcdf-cxx package.

INCLUDE_DIRECTORIES(".")

###
# Set up headers and sources
###

file(GLOB CXX_HEADERS *.h)
file(GLOB CXX_SOURCES nc*.cpp)

###
# Set up tests.
###
IF(NCXX_ENABLE_TESTS)

  add_bin_test(cxx4 test_classic)
  add_bin_test(cxx4 test_group)
  add_bin_test(cxx4 test_dim)
  add_bin_test(cxx4 test_att)
  add_bin_test(cxx4 test_var)
  add_bin_test(cxx4 test_var2)
  add_bin_test(cxx4 test_type)
  add_bin_test(cxx4 test_open_close)

ENDIF()

ADD_LIBRARY(netcdf-cxx4 ${CXX_SOURCES})
TARGET_INCLUDE_DIRECTORIES(netcdf-cxx4 PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}")
TARGET_LINK_LIBRARIES(netcdf-cxx4 ${NETCDF_C_LIBRARY} ${EXTRA_DEPS})
SET_TARGET_PROPERTIES(netcdf-cxx4 PROPERTIES
  VERSION ${NCXX_LIB_VERSION}
  SOVERSION ${NCXX_SO_VERSION}
  )

INSTALL(
  FILES ${CXX_HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  )
INSTALL(
  FILES netcdf
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  )
INSTALL(
  TARGETS netcdf-cxx4
  DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )

=== docs/CMakeLists.txt ===
######
# Build doxygen documentation if need be.
######

IF(NCXX_ENABLE_DOXYGEN)

  FILE(GLOB COPY_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*)
  FILE(COPY ${COPY_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/)

  ##
  # Set some configuration variables so that they
  # are redundant with autotools.
  ##
  SET(abs_top_srcdir ${CMAKE_CURRENT_SOURCE_DIR}/..)
  SET(abs_builddir ${CMAKE_CURRENT_BINARY_DIR})

  ##
  # Create general doxyfiles
  ##
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)

  ##
  # Generate User Documentation
  ##
  ADD_CUSTOM_TARGET(doc_all ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating CXX4 API Documentation" VERBATIM)

ENDIF(NCXX_ENABLE_DOXYGEN)

=== examples/CMakeLists.txt ===
################################################
# CMakeLists.txt: CMake Configuration file
# for the netcdf-cxx4 `examples` directory.
################################################

IF(NCXX_ENABLE_TESTS)

  add_bin_test(examples simple_xy_wr)
  add_bin_test(examples sfc_pres_temp_wr)
  add_bin_test(examples pres_temp_4D_wr)
  add_bin_test(examples pres_temp_4D_rd)
  add_bin_test(examples simple_xy_rd)
  add_bin_test(examples sfc_pres_temp_rd)
  add_bin_test(examples simple_xy_wr_formats)

ENDIF()

## netcdf-cxx 4.2.1

=== debian/changelog ===
netcdf-cxx (4.2.1-3) unstable; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Jan 2016 20:49:50 +0100

netcdf-cxx (4.2.1-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2015 21:03:27 +0100

netcdf-cxx (4.2.1-2~exp1) experimental; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Disable parallel test execution.
  * Bump minimum required libnetcdf-dev to 4.4.0~rc3.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Oct 2015 15:10:35 +0100

netcdf-cxx (4.2.1-1) unstable; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 19:31:35 +0200

netcdf-cxx (4.2.1-1~exp7) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Aug 2015 18:25:19 +0200

netcdf-cxx (4.2.1-1~exp6) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Aug 2015 18:49:50 +0200

netcdf-cxx (4.2.1-1~exp5) experimental; urgency=medium

  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2015 02:35:17 +0200

netcdf-cxx (4.2.1-1~exp4) experimental; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2-1~exp4 for serial HDF5.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 13:37:44 +0200

netcdf-cxx (4.2.1-1~exp3) experimental; urgency=medium

  * Require at least libnetcdf-dev 4.3.3.1.
  * Update watch file to handle other tar extensions in filenamemangle.
  * Move documentation build to build-indep target.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 18:40:31 +0200

netcdf-cxx (4.2.1-1~exp2) experimental; urgency=medium

  * Update my email to use @debian.org address.
  * Enable verbose test output, override dh_auto_test to ignore test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jun 2015 20:51:33 +0200

netcdf-cxx (4.2.1-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Initial release (Closes: #775520)
  * Install libnetcdf_c++4.a (Closes: #728498)

  [ Ross Gammon ]
  * Close bugs in changelog
  * Add myself to Uploaders

 -- Ross Gammon <rossgammon@mail.dk>  Fri, 06 Feb 2015 22:36:43 +0100

=== debian/control ===
Source: netcdf-cxx
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Nico Schlömer <nico.schloemer@gmail.com>,
           Bas Couwenberg <sebastic@debian.org>,
           Ross Gammon <rossgammon@mail.dk>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               libjs-jquery,
               libnetcdf-dev (>= 1:4.4.0),
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/netcdf-cxx.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/netcdf-cxx.git
Homepage: http://www.unidata.ucar.edu/software/netcdf/

Package: libnetcdf-c++4-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libnetcdfc++4 (<< 4.2.1)
Replaces: libnetcdfc++4 (<< 4.2.1)
Description: C++ interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C++ shared library.

Package: libnetcdf-c++4-dev
Architecture: any
Section: libdevel
Depends: libnetcdf-c++4-1 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Suggests: netcdf-bin,
          netcdf-doc
Description: creation, access, and sharing of scientific data in C++
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains headers for the C++ library.

Package: libnetcdf-c++4-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libnetcdf-c++4-1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: gdb
Description: debugging symbols for NetCDF C++
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains debugging symbols for the C++ library.

Package: libnetcdf-c++4-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: NetCDF C++ API documentation
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains documentation for the C++ library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

# Verbose test output
export VERBOSE=1

%:
	dh $@ --with autoreconf,pkgkde_symbolshelper --parallel

override_dh_auto_build-arch:
	dh_auto_build --arch

override_dh_auto_build-indep:
	dh_auto_build --indep
	(cd cxx4 && doxygen)

override_dh_auto_test:
	dh_auto_test --max-parallel=1 || echo "Ignoring test failures"

override_dh_install:
	$(RM) debian/tmp/usr/lib/*/*.la
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libnetcdf-c++4-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/netcdf-cxx-$1.$2/ \
https://github.com/Unidata/netcdf-cxx4/releases \
(?:.*/)*(?:rel|v|r|netcdf-cxx4|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## netcdf-cxx 4.3.0+ds

=== debian/changelog ===
netcdf-cxx (4.3.0+ds-5) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Add libnetcdf-dev to dependencies of -dev package.
    (closes: #881227)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Nov 2017 07:36:42 +0100

netcdf-cxx (4.3.0+ds-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 19:36:55 +0200

netcdf-cxx (4.3.0+ds-3) unstable; urgency=medium

  * Update symbols for sh4.
  * Don't install examples, part of testsuite not real examples.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2016 15:22:49 +0200

netcdf-cxx (4.3.0+ds-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 May 2016 20:24:20 +0200

netcdf-cxx (4.3.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update symbols for amd64.
  * Repack upstream tarball to excluded autom4te.cache directory.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 May 2016 14:32:29 +0200

netcdf-cxx (4.2.1-4) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add build dependency on graphviz for dot.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Mar 2016 07:18:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                doxygen,
+               graphviz,
                libjs-jquery,
                libnetcdf-dev (>= 1:4.4.0),
                pkg-config,
                pkg-kde-tools
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/netcdf-cxx.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/netcdf-cxx.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/netcdf-cxx.git
 Homepage: http://www.unidata.ucar.edu/software/netcdf/
 
 Package: libnetcdf-c++4-1
@@ -40,6 +41,7 @@
 Architecture: any
 Section: libdevel
 Depends: libnetcdf-c++4-1 (= ${binary:Version}),
+         libnetcdf-dev,
          ${misc:Depends}
 Recommends: pkg-config
 Suggests: netcdf-bin,
@@ -57,7 +59,6 @@
 Package: libnetcdf-c++4-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: libnetcdf-c++4-1 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: gdb

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,12 @@
 
 #export DH_VERBOSE=1
 
-UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+include /usr/share/dpkg/pkg-info.mk
+
+UPSTREAM_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 # Verbose test output
 export VERBOSE=1

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/netcdf-cxx-$1.$2/,\
repacksuffix=+ds \
https://github.com/Unidata/netcdf-cxx4/releases \
(?:.*/)*(?:rel|v|r|netcdf-cxx4|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## netcdf-cxx 4.3.1

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Build doxygen documentation if need be.
 ######
 
-IF(NCXX_ENABLE_DOXYGEN)
+IF(ENABLE_DOXYGEN)
 
   FILE(GLOB COPY_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*)
   FILE(COPY ${COPY_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/)
@@ -28,4 +28,4 @@
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
     COMMENT "Generating CXX4 API Documentation" VERBATIM)
 
-ENDIF(NCXX_ENABLE_DOXYGEN)
+ENDIF(ENABLE_DOXYGEN)

=== plugins/CMakeLists.txt ===
# Copyright 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
# 2015, 2016, 2017, 2018
# University Corporation for Atmospheric Research/Unidata.

# See netcdf-c/COPYRIGHT file for more info.
SET(CMAKE_BUILD_TYPE "")

SET(libh5bzip2_SOURCES blocksort.c huffman.c crctable.c randtable.c compress.c decompress.c bzlib.c H5Zbzip2.c)

SET(libmisc_SOURCES H5Zmisc.c H5Zutil.c h5misc.h)

# LDFLAGS = -module -avoid-version -shared -export-dynamic -no-undefined

IF(MSVC)
SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG "${CMAKE_CURRENT_BINARY_DIR}")
SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE "${CMAKE_CURRENT_BINARY_DIR}")
ENDIF()

ADD_LIBRARY(test_bzip2 MODULE ${libh5bzip2_SOURCES})
SET_TARGET_PROPERTIES(test_bzip2 PROPERTIES OUTPUT_NAME "bzip2")
SET_TARGET_PROPERTIES(test_bzip2 PROPERTIES LIBRARY_OUTPUT_NAME "h5bzip2")
SET_TARGET_PROPERTIES(test_bzip2 PROPERTIES ARCHIVE_OUTPUT_NAME "h5bzip2")
SET_TARGET_PROPERTIES(test_bzip2 PROPERTIES RUNTIME_OUTPUT_NAME "h5bzip2")
TARGET_LINK_LIBRARIES(test_bzip2 ${ALL_TLL_LIBS})

ADD_LIBRARY(misc MODULE ${libmisc_SOURCES})
SET_TARGET_PROPERTIES(misc PROPERTIES LIBRARY_OUTPUT_NAME "misc")
SET_TARGET_PROPERTIES(misc PROPERTIES ARCHIVE_OUTPUT_NAME "misc")
SET_TARGET_PROPERTIES(misc PROPERTIES RUNTIME_OUTPUT_NAME "misc")
TARGET_LINK_LIBRARIES(misc ${ALL_TLL_LIBS})

# Copy some test files from current source dir to out-of-tree build dir.
FILE(COPY ${COPY_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/)
IF(MSVC)
  FILE(COPY ${COPY_FILES} DESTINATION ${RUNTIME_OUTPUT_DIRECTORY}/)
ENDIF()

=== debian/changelog ===
netcdf-cxx (4.3.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
    (closes: #1046231)
  * Use not-installed file instead of dh_install override.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Replace pkg-config (build) dependency with pkgconf.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 19:31:31 +0100

netcdf-cxx (4.3.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 13:23:26 +0100

netcdf-cxx (4.3.1-3) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 04:48:24 +0100

netcdf-cxx (4.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Add -lnetcdf to CXXFLAGS.
    (closes: #949828)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jan 2020 16:42:23 +0100

netcdf-cxx (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols file.
  * Update gbp.conf to use --source-only-changes by default.
  * Require at least libnetcdf-dev 4.6.0.
  * Add license & copyright for bzip2 sources.
  * Add libhdf5-dev to build dependencies.
  * Drop Name field from upstream metadata.
  * Append include path for hdf5.h.
  * Add lintian override for repackaged-source-not-advertised.
  * Update symbols for amd64.
  * Disable filter testing to not build plugins.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Jan 2020 19:26:06 +0100

netcdf-cxx (4.3.0+ds-7) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 07:49:29 +0200

netcdf-cxx (4.3.0+ds-6) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Don't use libjs-jquery for Doxygen docs.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control & rules files.
  * Drop obsolete dbg package.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 15:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Nico Schlömer <nico.schloemer@gmail.com>,
-           Bas Couwenberg <sebastic@debian.org>,
-           Ross Gammon <rossgammon@mail.dk>
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
                graphviz,
-               libjs-jquery,
-               libnetcdf-dev (>= 1:4.4.0),
-               pkg-config,
+               libhdf5-dev,
+               libnetcdf-dev (>= 1:4.6.0),
+               pkgconf,
                pkg-kde-tools
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/netcdf-cxx.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/netcdf-cxx.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/netcdf-cxx
+Vcs-Git: https://salsa.debian.org/debian-gis-team/netcdf-cxx.git
 Homepage: http://www.unidata.ucar.edu/software/netcdf/
+Rules-Requires-Root: no
 
 Package: libnetcdf-c++4-1
 Architecture: any
@@ -43,7 +43,7 @@
 Depends: libnetcdf-c++4-1 (= ${binary:Version}),
          libnetcdf-dev,
          ${misc:Depends}
-Recommends: pkg-config
+Recommends: pkgconf
 Suggests: netcdf-bin,
           netcdf-doc
 Description: creation, access, and sharing of scientific data in C++
@@ -56,27 +56,10 @@
  .
  This package contains headers for the C++ library.
 
-Package: libnetcdf-c++4-dbg
-Architecture: any
-Section: debug
-Depends: libnetcdf-c++4-1 (= ${binary:Version}),
-         ${misc:Depends}
-Suggests: gdb
-Description: debugging symbols for NetCDF C++
- NetCDF (network Common Data Form) is a set of interfaces for array-oriented
- data access and a freely distributed collection of data access libraries for
- C, Fortran, C++, Java, and other languages. The netCDF libraries support a
- machine-independent format for representing scientific data. Together, the
- interfaces, libraries, and format support the creation, access, and sharing of
- scientific data.
- .
- This package contains debugging symbols for the C++ library.
-
 Package: libnetcdf-c++4-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Description: NetCDF C++ API documentation
  NetCDF (network Common Data Form) is a set of interfaces for array-oriented
  data access and a freely distributed collection of data access libraries for
@@ -86,4 +69,3 @@
  scientific data.
  .
  This package contains documentation for the C++ library.
-

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_CFLAGS_MAINT_APPEND=-I/usr/include/hdf5/serial
export DEB_CXXFLAGS_MAINT_APPEND=-lnetcdf

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

# Verbose test output
export VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-filter-testing

override_dh_auto_build-arch:
	dh_auto_build --arch

override_dh_auto_build-indep:
	dh_auto_build --indep
	(cd cxx4 && doxygen)

override_dh_auto_test:
	dh_auto_test --max-parallel=1 || echo "Ignoring test failures"

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/netcdf-cxx-$1.$2/,\
repacksuffix=+ds \
https://github.com/Unidata/netcdf-cxx4/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|r|netcdf-cxx4|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
